Skip to main content
GET
Get a file

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

matterId
string
required

Unique identifier (GUID) of the matter.

fileId
string
required

Unique identifier (GUID) of the file.

Response

When request is successful. Returns a 'File' object.

href
string | null
relation
string | null
method
string | null
default:GET
self
object | null
id
string | null

Unique identifier of the file.

Example:

"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"

versionId
string | null

Unique identifier of the file's current version. Changes each time new content is uploaded for the file.

Example:

"0f8fad5b-d9cb-469f-a165-70867728950e"

folder
object | null

Hypermedia link of the folder to which the file belongs. Null when the file is in the matter's root folder.

Example:
matter
object | null

Hypermedia link of the matter to which the file belongs.

Example:
name
string | null

Name of the file, excluding file extension.

Example:

"court filing"

fileExtension
string | null

Extension of the file.

Example:

".pdf"

ownerId
string | null

Unique identifier of the user who created/uploaded this file.

Example:

"750eb5c5-ac0b-7d11-4997-e0ce9d8896c8"

to
string | null

The 'To' or recipients' email address (only applicable for email files).

Example:

"recipient@email.com"

from
string | null

The 'From' or sender's email address (only applicable for email files).

Example:

"sender@email.com"

dateCreated
string<date-time>

The original datetime that the file was created.

Example:

"2022-04-23T14:00:00Z"

dateModified
string<date-time>

The datetime that the file was last modified.

Example:

"2022-04-25T17:00:00Z"

sizeBytes
integer<int64>

Size of the file (in bytes).

Example:

19104768

downloadInfo
object | null

Hypermedia link to the download details of the file (a presigned download URL and its expiry).

Example:
additionalData
object | null

Collection of file meta data as key/value pairs. Values may be strings, numbers, booleans or dates.

Example:
isFavorite
boolean

Flag indicating whether this file is a favorite

Example:

false

isUploaded
boolean

Flag indicating whether the file contents are uploaded to the server.

Example:

false

isCancelled
boolean

Flag indicating whether the file upload has been cancelled.

Example:

false

isDuplicate
boolean

Flag indicating whether the file data is duplicated. Applies to emails only for now.

Example:

false

isDeleted
boolean

Flag indicating whether the file has been deleted.

Example:

false